/*****************************************************************************/
/* Module: errorchk.h                                                        */
/*                                                                           */
/* Description:                                                              */
/*    This header file defines ERRORCK macro.                                */
/*                                                                           */
/*****************************************************************************/
#include <rpc.h>
#include <dce_error.h>
#include <stdio.h>
#include <stdlib.h>

#define ERRORCK( proc, st ) {\
   if ( st != error_status_ok ) {\
      dce_error_inq_text( st, error_string, &errst );\
      fprintf( stderr, "%s (%d) : %s\n", proc, st, error_string );\
      fflush( stderr ); exit( 1 ); }\
}

static int   errst;
static char  error_string[ dce_c_error_string_len ];

